-------------------------------------------------------------------------
--
-- setup of the option panel
--
-------------------------------------------------------------------------
function ShoppingList.OptionsSetup()
	InterfaceOptions_AddCategory(ShoppingList_OptionsPanel);
end

---------------------------------------------------
--
-- ShoppingList.OptionsDefault
--
---------------------------------------------------
function ShoppingList.OptionsDefault()
--	ShoppingList_SavedVars.RangeColor = ShoppingList.DefaultRangeColor;
--	ShoppingList_SavedVars.ManaColor = ShoppingList.DefaultManaColor;
end


---------------------------------------------------
--
-- ShoppingList.OptionsRefresh
--
---------------------------------------------------
function ShoppingList.OptionsRefresh()
  local ctrl = _G["chkSLCAutoShow"]
  ctrl:SetChecked(SLPlayer["AutoShow"])
  local ctrl = _G["chkSLCSuppressDouble"]
  ctrl:SetChecked(SLPlayer["SuppressDouble"])
	local ctrl = _G["chkSLCHandleMail"]
  ctrl:SetChecked(SLPlayer["HandleMail"])
end


---------------------------------------------------
--
-- ShoppingList.OptionsOkay
--
---------------------------------------------------
function ShoppingList.OptionsOkay()
	local ctrl = _G["chkSLCAutoShow"]
	SLPlayer["AutoShow"] = ctrl:GetChecked()
	local ctrl = _G["chkSLCSuppressDouble"]
	SLPlayer["SuppressDouble"] = ctrl:GetChecked()
	local ctrl = _G["chkSLCHandleMail"]
	SLPlayer["HandleMail"] = ctrl:GetChecked()
  

	if SLPlayer["HandleMail"] then
		SL_MailButton:Show()
	else
		SL_MailButton:Hide()
	end
end

---------------------------------------------------
--
-- ShoppingList.SwatchOnClick
--
---------------------------------------------------
function ShoppingList.SwatchOnClick(self)
	local info = {};
	info.extraInfo = _G[self:GetName().."NormalTexture"];
	info.r, info.g, info.b = info.extraInfo:GetVertexColor();
--	info.swatchFunc = RangeColors.SetColor;
	OpenColorPicker(info);
end

-------------------------------------------------------------------------
--
-- displays a tooltip
--
-------------------------------------------------------------------------
function ShoppingList.OptionsShowTooltip(control)
  GameTooltip:SetOwner(control, "ANCHOR_TOPLEFT");
  --_G["SLFrame"],"ANCHOR_TOPLEFT")
  GameTooltip:SetBackdropColor(0.0,0.0,0.0)
  GameTooltip:SetText(SLToolTips[control:GetName()],0.8,0.8,0.0)
end

