﻿--
-- ShoopingList
--

-- Deutsch
if ( GetLocale() == "deDE" ) then
  SLOptionsName = "ShoppingList";
  SLOptionsTitle = "ShoppingList |r|cFF0099FFv"..SLVersion.."|r";
  SLOptionsAutoShow = "Bei Händler öffnen";
  SLOptionsSuppressDouble = "Doppelte verhindern";
	SLOptionsHandleMail = "Mailfunktion aktivieren";
  SLNames =
  {
    ["SLTitle"] = SLVersion;
    ["SLClose"] = "x";
    ["SLDelete"] = "L\195\182schen";
    ["textSLCAutoShow"] = "Bei H\195\164ndler \195\182ffnen";
    ["textSLCSuppressDouble"] = "Doppelte verhindern";
		["textSLCHandleMail"] = "Mailfunktion aktivieren";
  }
  SLToolTips =
  {
    ["SLDelete"] = "Anklicken und anschliessend den zu löschenden Gegenstand anklicken.";
    ["SLMinimapButton"] = "ShoppingList "..SLVersion.."\r\nMit Linksklick die Einkaufsliste aufrufen.";
    ["SLMailButton"] = "Anklicken, um die Gegenstände anzuhängen,\r\ndie schon mal an |c0000FF00%s|r versendet wurden\r\nund sich im Inventar befinden.";
    ["chkSLCAutoShow"] = "ankreuzen, um Shoppinglist anzuzeigen, wenn ein Händler aktiviert wird.";
    ["chkSLCSuppressDouble"] = "ankreuzen, um doppelte Einträge zu unterbinden.";
    ["chkSLCHandleMail"] = "ankreuzen, um die an andere Chars verschickten Gegenstände zu merken.";
  }
  SLMessages =
  {
    ["SLLoaded"] = "ShoppingList v"..SLVersion.." von Zreptil geladen.";
    ["SLNeeded"] = "(noch %s nötig)";
    ["SLAvailable"] = "(verfügbar)";
    ["SLAlreadyThere"] = "Dieser Gegenstand ist schon vorhanden.";
    ["SLNewLoaded"] = "Die Daten von ShoppingList\r\nwurden neu vorbelegt.";
    ["SLMailItemAdded"] = "ShoppingList: %s für %s hinzugefügt";
    ["slashhelp"] = "/sl reset - setzt alle Variablen auf Standardwerte.";
  }
else
  SLOptionsName = "ShoppingList";
  SLOptionsTitle = "ShoppingList v"..SLVersion;
  SLOptionsAutoShow = "Open at merchant";
  SLOptionsSuppressDouble = "Avoid double";
	SLOptionsHandleMail = "Activate mailfunction";
  SLNames =
  {
    ["SLTitle"] = SLVersion;
    ["SLClose"] = "x";
    ["SLDelete"] = "Delete";
    ["textSLCAutoShow"] = "Open at merchant";
    ["textSLCSuppressDouble"] = "Avoid double";
		["textSLCHandleMail"] = "Activate mailfunction";
  }
  SLToolTips =
  {
    ["SLDelete"] = "Click button and then click item to remove from list";
    ["SLMinimapButton"] = "ShoppingList "..SLVersion.."\r\nleftclick opens the shoppinglist.";
    ["SLMailButton"] = "click to append the items,\r\nthat were sent to |c0000FF00%s|r\r\nand are present in the inventory.";
    ["chkSLCAutoShow"] = "activate to show ShoppingList when merchant is active";
    ["chkSLCSuppressDouble"] = "activate to suppress double entries.";
  }
  SLMessages =
  {
    ["SLLoaded"] = "ShoppingList v"..SLVersion.." of Zreptil loaded.";
    ["SLNeeded"] = "(%s needed)";
    ["SLAvailable"] = "(available)";
    ["SLAlreadyThere"] = "This item is already there.";
    ["SLNewLoaded"] = "The data of ShoppingList\r\nwas new created.";
    ["SLMailItemAdded"] = "ShoppingList: %s added for %s";
    ["slashhelp"] = "/sl reset - reset all variables to default values.";
  }
end
